Subject: Re: Bug#1004894: sudo: [i386] invalid opcode

From: Marc Haber <[email-masked]>
Date: Wed, 16 Feb 2022 08:11:11 +0100

On Tue, Feb 15, 2022 at 09:58:49PM +0200, Martin-Éric Racine wrote:
> On Tue, Feb 15, 2022 at 9:10 PM Marc Haber
> <[email-masked]> wrote:
> >
> > On Tue, Feb 15, 2022 at 09:03:01PM +0200, Martin-Éric Racine wrote:
> > > 1.9.8p2-1 FTBFS on Geode testing host (log attached earlier)
> > > 1.9.9-1 FTBFS on Geode testing host (log attached earlier)
> >
> > I apologize, I didnt see earlier that your builds were already failing
> > at build time. The error is
> >
> > config.status:1474: error: cannot find input file: `plugins/sudoers/sudoers'
> >
> > Was that file actually missing in your build chroot? If not, I don't
> > know what went wrong there.
> 
> No idea. I unpacked the source and types debuild. That's all.
> 
> However, here's an interesting thing. I tried building 1.9.9-1 again
> on the Geode using a good sudo instead of fakeroot. It fails as
> follows:
> 
> during GIMPLE pass: cunroll
> ../../../lib/util/event.c: In function ‘sudo_ev_add_v2’:
> ../../../lib/util/event.c:465:1: internal compiler error: in
> graphds_scc, at graphds.c:316
>   465 | sudo_ev_add_v2(struct sudo_event_base *base, struct sudo_event *ev,
>       | ^~~~~~~~~~~~~~
> 0xb7555904 __libc_start_main
>     ../csu/libc-start.c:332
> Please submit a full bug report,
> with preprocessed source if appropriate.

I think that this refers to gcc, not to sudo.

> make[3]: *** [Makefile:653: event.lo] Virhe 1
> make[3]: Poistutaan hakemistosta

It would probably help to run those with an English locale.

Greetings
Marc

-- 
-----------------------------------------------------------------------------
Marc Haber         | "I don't trust Computers. They | Mailadresse im Header
Leimen, Germany    |  lose things."    Winona Ryder | Fon: *49 6224 1600402
Nordisch by Nature |  How to make an American Quilt | Fax: *49 6224 1600421